stages:
  - test

before_script:
#  - echo `pwd` # debug
#  - echo "$CI_BUILD_NAME, $CI_BUILD_REF_NAME $CI_BUILD_STAGE" # debug
  - export GRADLE_USER_HOME=`pwd`/.gradle

cache:
  paths:
    - .gradle/wrapper
    - .gradle/caches

test:
  stage: test
  image: gradle:7.4.1-jdk17
  only:
    - main
  tags: 
   - amd64-docker
  script:
    - gradle regressionSuite -PbaseUrl=https://gaiax.vereign.com/ocm -Dcucumber.tags="@ocm, not @wip" -Dcourgette.threads=1 -Dcourgette.runLevel=Scenario -Dcourgette.rerunFailedScenarios=false -Dcourgette.rerunAttempts=1
  artifacts:
    when: always
    reports:
       junit: reports/cucumber-report/cucumber.xml

after_script:
  - echo "End CI"
